# IRemoteDisplayInfo Interface Reference

Contains information about the remote display (VRDP) capabilities and status. More...

List of all members.

## Public Attributes
readonly attribute boolean | active
| Whether the remote display connection is active.
readonly attribute long | port
| VRDP server port number.
readonly attribute unsigned long | numberOfClients
| How many times a client connected.
readonly attribute long long | beginTime
| When the last connection was established, in milliseconds since 1970-01-01 UTC.
readonly attribute long long | endTime
| When the last connection was terminated or the current time, if connection is still active, in milliseconds since 1970-01-01 UTC.
readonly attribute unsigned long long | bytesSent
| How many bytes were sent in last or current, if still active, connection.
readonly attribute unsigned long long | bytesSentTotal
| How many bytes were sent in all connections.
readonly attribute unsigned long long | bytesReceived
| How many bytes were received in last or current, if still active, connection.
readonly attribute unsigned long long | bytesReceivedTotal
| How many bytes were received in all connections.
readonly attribute wstring | user
| Login user name supplied by the client.
readonly attribute wstring | domain
| Login domain name supplied by the client.
readonly attribute wstring | clientName
| The client name supplied by the client.
readonly attribute wstring | clientIP
| The IP address of the client.
readonly attribute unsigned long | clientVersion
| The client software version number.
readonly attribute unsigned long | encryptionStyle
| Public key exchange method used when connection was established.

## Detailed Description

Contains information about the remote display (VRDP) capabilities and status.

This is used in the IConsole::remoteDisplayInfo attribute.

Interface ID:
  `{B3741084-806F-4C3B-8C42-EBAD1A81E45A}`

## Member Data Documentation

readonly attribute boolean IRemoteDisplayInfo::active

Whether the remote display connection is active.

readonly attribute long IRemoteDisplayInfo::port

VRDP server port number.

If this property is equal to `0`, then the VRDP server failed to start, usually because there are no free TCP ports to bind to. If this property is equal to `-1`, then the VRDP server has not yet been started.

readonly attribute unsigned long IRemoteDisplayInfo::numberOfClients

How many times a client connected.

readonly attribute long long IRemoteDisplayInfo::beginTime

When the last connection was established, in milliseconds since 1970-01-01 UTC.

readonly attribute long long IRemoteDisplayInfo::endTime

When the last connection was terminated or the current time, if connection is still active, in milliseconds since 1970-01-01 UTC.

readonly attribute unsigned long long IRemoteDisplayInfo::bytesSent

How many bytes were sent in last or current, if still active, connection.

readonly attribute unsigned long long IRemoteDisplayInfo::bytesSentTotal

How many bytes were sent in all connections.

readonly attribute unsigned long long IRemoteDisplayInfo::bytesReceived

How many bytes were received in last or current, if still active, connection.

readonly attribute unsigned long long IRemoteDisplayInfo::bytesReceivedTotal

How many bytes were received in all connections.

readonly attribute wstring IRemoteDisplayInfo::user

Login user name supplied by the client.

readonly attribute wstring IRemoteDisplayInfo::domain

Login domain name supplied by the client.

readonly attribute wstring IRemoteDisplayInfo::clientName

The client name supplied by the client.

readonly attribute wstring IRemoteDisplayInfo::clientIP

The IP address of the client.

readonly attribute unsigned long IRemoteDisplayInfo::clientVersion

The client software version number.

readonly attribute unsigned long IRemoteDisplayInfo::encryptionStyle

Public key exchange method used when connection was established.

Values: 0 - RDP4 public key exchange scheme. 1 - X509 certificates were sent to client.